elftosb::StringValue Class Reference

String value. More...

`#include <Value.h>`

Inheritance diagram for elftosb::StringValue:
[legend]
Collaboration diagram for elftosb::StringValue:
[legend]

## Public Member Functions

| StringValue (const std::string &value)
| StringValue (const std::string *value)
| StringValue (const StringValue &other)
virtual std::string | getTypeName () const
virtual size_t | getSize () const
| operator const char * () const
| operator const std::string & () const
| operator std::string & ()
| operator const std::string * ()
| operator std::string * ()
StringValue & | operator= (const StringValue &other)
StringValue & | operator= (const std::string &value)
StringValue & | operator= (const char *value)

## Protected Attributes

std::string | m_value

## Detailed Description

String value.

Simply wraps the STL std::string class.

The documentation for this class was generated from the following file:

- apps/elftosb/common/Value.h